org.apache.tomcat.util.digester

## Class ParserFeatureSetterFactory

- java.lang.Object
- - org.apache.tomcat.util.digester.ParserFeatureSetterFactory

-     public class ParserFeatureSetterFactory
      extends Object

  Creates a `SAXParser` based on the underlying parser. Allows logical properties depending on logical parser versions to be set.
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserFeatureSetterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SAXParser` | `newSAXParser(Properties properties)` Create a new `SAXParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserFeatureSetterFactory

          public ParserFeatureSetterFactory()

  - ### Method Detail

    - #### newSAXParser

          public static SAXParser newSAXParser(Properties properties)
                                        throws ParserConfigurationException,
                                               SAXException,
                                               SAXNotRecognizedException,
                                               SAXNotSupportedException

      Create a new `SAXParser`
      Parameters:
        `properties` - (logical) properties to be set on parser
      Returns:
        a `SAXParser` configured based on the underlying parser implementation.
      Throws:
        `ParserConfigurationException`
        `SAXException`
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.